# Uses of Class
org.eclipse.microprofile.lra.tck.service.spi.LRACallbackException

Packages that use LRACallbackException
Package
Description
org.eclipse.microprofile.lra.tck.service.spi

## Uses of LRACallbackException in org.eclipse.microprofile.lra.tck.service.spi

Methods in org.eclipse.microprofile.lra.tck.service.spi that throw LRACallbackException
Modifier and Type
Method
Description
`void`
LRARecoveryService.`waitForCallbacks(URI lraId)`
Wait for the delivery of Complete and Compensate participant callbacks.
`boolean`
LRARecoveryService.`waitForEndPhaseReplay(URI lraId)`
Wait for one replay of the end phase of the LRA (the callback calls to Status, Complete, Compensate, and Forget methods of all Compensating/Completing participants.
`default void`
LRARecoveryService.`waitForRecovery(URI lraId)`
Wait for all participants to reach an end state and for all `AfterLRA` notifications to be successfully delivered (AfterLRA methods return HTTP 200).